%define upstream_name	 Unicode-Map
%define upstream_version 0.112

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 36

Summary:	Maps charsets from and to utf16 unicode
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel

%{?perl_default_filter}

%description
This module converts strings from and to 2-byte Unicode UCS2 format. All
mappings happen via 2 byte UTF16 encodings, not via 1 byte UTF8 encoding. To
transform these use Unicode::String.

For historical reasons this module coexists with Unicode::Map8. Please use
Unicode::Map8 unless you need to care for two byte character sets, e.g. Chinese
GB2312. Anyway, if you stick to the basic functionality (see documentation) you
can use both modules equivalently.


Practically this module will disappear from earth sooner or later as Unicode
mapping support needs somehow to get into perl's core. If you like to work on
this field please don't hesitate contacting Gisle Aas!

This module can't deal directly with utf8. Use Unicode::String to convert utf8
to utf16 and vice versa.

Character mapping is according to the data of binary mapfiles in Unicode::Map
hierarchy. Binary mapfiles can also be created with this module, enabling you
to install own specific character sets. Refer to mkmapfile or file REGISTRY in
the Unicode::Map hierarchy

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc README
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/auto/Unicode
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Tue Nov 28 2023 tv <tv> 0.112.0-36.mga10
+ Revision: 2010507
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.112.0-35.mga9
+ Revision: 1862567
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.112.0-34.mga9
+ Revision: 1795414
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 0.112.0-33.mga9
+ Revision: 1726227
- rebuild for rebuild for perl-5.34.0

* Wed Jun 17 2020 umeabot <umeabot> 0.112.0-32.mga8
+ Revision: 1595291
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.112.0-31.mga8
+ Revision: 1528878
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 0.112.0-30.mga8
+ Revision: 1432755
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.112.0-29.mga7
+ Revision: 1293905
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.112.0-28.mga7
+ Revision: 1247620
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.112.0-27.mga7
+ Revision: 1167223
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.112.0-26.mga7
+ Revision: 1149417
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.112.0-25.mga7
+ Revision: 1126619
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.112.0-24.mga6
+ Revision: 1035450
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.112.0-23.mga6
+ Revision: 958159
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.112.0-22.mga6
+ Revision: 845449
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.112.0-21.mga6
+ Revision: 841348
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-20.mga5
+ Revision: 747264
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.112.0-19.mga5
+ Revision: 732586
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-18.mga5
+ Revision: 686790
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.112.0-17.mga5
+ Revision: 631834
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.112.0-16.mga4
+ Revision: 525084
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.112.0-15.mga4
+ Revision: 431827
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.112.0-14.mga3
+ Revision: 374614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.112.0-13.mga3
+ Revision: 251287
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.112.0-12.mga2
+ Revision: 105095
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.112.0-11.mga1
+ Revision: 24025
- no meta.yml :-(
- cleanup spec file
- imported package perl-Unicode-Map

